﻿using Smart.Navigation;
using Smart.Navigation.Attributes;

namespace Twainsoft.Articles.DNP.Navigation.Navigation.Stack
{
    [View(ViewId.SecondStack)]
    public partial class Stack2View : ViewBase
    {
        public override string Title => "Stack2View";

        public override bool CanGoHome => true;

        public Stack2View()
        {
            InitializeComponent();
        }

        public override void OnGoHome()
        {
            Navigator.PopAndForward(ViewId.Menu);
        }

        private void OnPopButtonClick(object sender, System.EventArgs e)
        {
            Navigator.Pop();
        }

        private void OnPushButtonClick(object sender, System.EventArgs e)
        {
            Navigator.Push(ViewId.ThirdStack);
        }
    }
}
