﻿using Smart.Navigation;
using Smart.Navigation.Attributes;

namespace Twainsoft.Articles.DNP.Navigation.Navigation.Stack
{
    [View(ViewId.ThirdStack)]
    public partial class Stack3View : ViewBase
    {
        public override string Title => "Stack3View";

        public override bool CanGoHome => true;

        public Stack3View()
        {
            InitializeComponent();
        }

        public override void OnGoHome()
        {
            Navigator.PopAllAndForward(ViewId.Menu);
        }

        private void OnPopButtonClick(object sender, System.EventArgs e)
        {
            Navigator.Pop();
        }

        private void OnPop2ButtonClick(object sender, System.EventArgs e)
        {
            Navigator.Pop(2);
        }
    }
}
